> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiweatherarchivesmodels tiles 

> Render XYZ tile for a model from archive (MAMS) using provided query and style



## OpenAPI

````yaml https://sahabah-prod.devops.arabiaweather.com/openapi.json get /api/weather/archives/models/{model}/tiles/{z}/{x}/{y}
openapi: 3.1.0
info:
  title: sahabah-api
  description: ''
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://sahabah-prod.devops.arabiaweather.com
    description: Production API server
  - url: https://sahabah-stg.devops.arabiaweather.com
    description: Staging API server
security: []
tags:
  - name: System
    description: System health and monitoring endpoints
  - name: Aviation
    description: Aviation data parsing endpoints
  - name: Weather
    description: Weather data and forecasting endpoints
  - name: Reports
    description: Forecast accuracy analysis and reporting endpoints
paths:
  /api/weather/archives/models/{model}/tiles/{z}/{x}/{y}:
    get:
      tags:
        - Weather
      description: >-
        Render XYZ tile for a model from archive (MAMS) using provided query and
        style
      operationId: render_xyz_archive_weather_tile
      parameters:
        - name: model
          in: path
          description: Weather model ID (e.g., gfs, ec25, icon, gem)
          required: true
          schema:
            type: string
        - name: z
          in: path
          description: Zoom level
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: x
          in: path
          description: Tile X coordinate
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: 'y'
          in: path
          description: Tile Y coordinate
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: time
          in: query
          description: Timestamp for forecast data (Unix timestamp)
          required: true
          schema:
            type: string
        - name: run
          in: query
          description: Model run timestamp (required for archive)
          required: true
          schema:
            type: string
        - name: query
          in: query
          description: Field expression to render
          required: true
          schema:
            type: string
        - name: style
          in: query
          description: Style object as JSON (all keys optional)
          required: false
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Archive weather tile rendered successfully
          content:
            image/png: {}
        '400':
          description: Invalid parameters
        '500':
          description: Internal server error
        '503':
          description: MAMS API unavailable
      security:
        - x-api-key: []
components: {}

````